Deletes an existing user
- DELETE /users/{user_name}
Deletes an existing user.
Path Parameters
-
user_namestringrequired -
Identifier for the user
Responses
User successfully deleted
Response Type: EmptyResponse
- The user cannot be deleted. (code:
user.restricted_deletion) - External users cannot be modified. (code:
user.cannot_modify_external) - Built-in users cannot be modified. (code:
user.cannot_modify)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
User not found. (code: user.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response